require 'roqua/core_ext/enumerable/sort_by_alphanum'

describe Enumerable do
  describe '#sort_by_alphanum' do
    let(:input) { ["004some11thing", "004some10thing", "3another"] }
    it 'sorts by chunks' do
      expect(input.sort_by_alphanum).to eq ["3another", "004some10thing", "004some11thing"]
    end

    it 'can take a block which can transform values before comparison' do
      expect(input.sort_by_alphanum(&:reverse)).to eq ["004some10thing", "004some11thing", "3another"]
    end

    it 'compares number chunks as integers' do
      expect(%w(004 3).sort_by_alphanum).to eq %w(3 004)
    end
  end
end
