require 'spec_helper'

describe 'Roqua::StatusChecks::CheckDbConnection' do
  it 'returns true when there is a db connection' do
    expect(Roqua::StatusChecks::CheckDbConnection.connected?).to be_truthy
  end

  it 'returns false when there is no db configured' do
    allow(ActiveRecord::Base).to receive_message_chain(:connection, :active?).and_return(false)
    expect(Roqua::StatusChecks::CheckDbConnection.connected?).to be_falsey
  end
end
