ENV['RAILS_ENV'] = 'test'

require 'rubygems'
require 'bundler/setup'

require 'combustion'

Combustion.initialize! :action_controller

require 'appsignal'
require 'rspec/rails'

require 'delayed_job_active_record'

Delayed::Worker.logger = Logger.new(Tempfile.new('roqua-support-delayed-job.log'))

ActiveRecord::Base.establish_connection :adapter => 'sqlite3', :database => ':memory:'
ActiveRecord::Base.logger = Delayed::Worker.logger
ActiveRecord::Migration.verbose = false

ActiveRecord::Schema.define do
  create_table :delayed_jobs, force: true do |t|
    t.integer  :priority, default: 0
    t.integer  :attempts, default: 0
    t.text     :handler
    t.text     :last_error
    t.datetime :run_at
    t.datetime :locked_at
    t.datetime :failed_at
    t.string   :locked_by
    t.string   :queue
    t.string   :cron
    t.timestamps null: false
  end

  add_index :delayed_jobs, [:priority, :run_at], name: 'delayed_jobs_priority'

  Roqua::Scheduling::CronJobTable.create_cron_jobs_table(self)
end
